%define upstream_name    Benchmark-Perl-Formance
%define upstream_version 0.55

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Benchmark Suite for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Benchmark/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Perl::V)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Structure::Util)
BuildRequires: perl(Data::YAML::Reader)
BuildRequires: perl(Data::YAML::Writer)
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::MatrixReal)
BuildRequires: perl(Math::Primality)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Sys::Info)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This benchmark suite tries to run some stressful programs and outputs values
that you can compare against other runs of this suite, e.g. with other versions
of Perl, modified compile parameter, or another set of dependent libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/benchmark-perlformance
%{_bindir}/benchmark-perlformance-set-stable-system
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 29 2022 tv <tv> 0.550.0-2.mga9
+ Revision: 1832217
- update to 0.55
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-4.mga8
+ Revision: 1492905
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-3.mga7
+ Revision: 1265744
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.530.0-2.mga6
+ Revision: 1022694
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.530.0-1.mga6
+ Revision: 1007207
- update to 0.53

* Thu Apr 14 2016 shlomif <shlomif> 0.510.0-1.mga6
+ Revision: 1001374
- New version 0.51

* Sat Feb 20 2016 umeabot <umeabot> 0.490.0-2.mga6
+ Revision: 971304
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.490.0-1.mga6
+ Revision: 891242
- update to 0.49

* Mon Sep 28 2015 sander85 <sander85> 0.480.0-1.mga6
+ Revision: 884410
- update to 0.48

* Sun Sep 06 2015 sander85 <sander85> 0.430.0-2.mga6
+ Revision: 873699
- Exclude deps from _docdir

* Sun Sep 06 2015 sander85 <sander85> 0.430.0-1.mga6
+ Revision: 873401
- update to 0.43

* Sat Jul 04 2015 sander85 <sander85> 0.400.0-1.mga6
+ Revision: 850092
- update to 0.40

* Sun Oct 19 2014 umeabot <umeabot> 0.330.0-7.mga5
+ Revision: 788982
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-6.mga5
+ Revision: 739160
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.330.0-4.mga4
+ Revision: 509311
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-3.mga3
+ Revision: 363360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.330.0-2.mga3
+ Revision: 310326
- Fix summary and desc

* Fri Oct 26 2012 shlomif <shlomif> 0.330.0-1.mga3
+ Revision: 310233
- imported package perl-Benchmark-Perl-Formance

